Index: src/main/java/com/example/moviezone/model/Ticket.java
===================================================================
--- src/main/java/com/example/moviezone/model/Ticket.java	(revision 58675202baf48180a61747ec4b98b5c814a21466)
+++ src/main/java/com/example/moviezone/model/Ticket.java	(revision 0ba5d1a4ceb01672e94ae0277434a8d6e569b33f)
@@ -27,4 +27,13 @@
     @JoinColumn(name = "id_customer")
     Customer customer;
+    @ManyToOne
+    @JoinColumn(name = "id_projection")
+    Projection projection;
+    @ManyToOne
+    @JoinColumn(name = "id_discount")
+    Discount discount;
+    @ManyToOne
+    @JoinColumn(name = "id_seat")
+    Seat seat;
 
     public Ticket(long price, Customer customer) {
Index: src/main/java/com/example/moviezone/service/CategoryService.java
===================================================================
--- src/main/java/com/example/moviezone/service/CategoryService.java	(revision 0ba5d1a4ceb01672e94ae0277434a8d6e569b33f)
+++ src/main/java/com/example/moviezone/service/CategoryService.java	(revision 0ba5d1a4ceb01672e94ae0277434a8d6e569b33f)
@@ -0,0 +1,9 @@
+package com.example.moviezone.service;
+
+import com.example.moviezone.model.Category;
+
+import java.util.List;
+
+public interface CategoryService {
+    List<Category> findAllCategories();
+}
Index: src/main/java/com/example/moviezone/service/Impl/CategoryServiceImpl.java
===================================================================
--- src/main/java/com/example/moviezone/service/Impl/CategoryServiceImpl.java	(revision 0ba5d1a4ceb01672e94ae0277434a8d6e569b33f)
+++ src/main/java/com/example/moviezone/service/Impl/CategoryServiceImpl.java	(revision 0ba5d1a4ceb01672e94ae0277434a8d6e569b33f)
@@ -0,0 +1,22 @@
+package com.example.moviezone.service.Impl;
+
+import com.example.moviezone.model.Category;
+import com.example.moviezone.repository.CategoryRepository;
+import com.example.moviezone.service.CategoryService;
+import org.springframework.stereotype.Service;
+
+import java.util.List;
+
+@Service
+public class CategoryServiceImpl implements CategoryService {
+    private final CategoryRepository categoryRepository;
+
+    public CategoryServiceImpl(CategoryRepository categoryRepository) {
+        this.categoryRepository = categoryRepository;
+    }
+
+    @Override
+    public List<Category> findAllCategories() {
+        return categoryRepository.findAll();
+    }
+}
Index: src/main/java/com/example/moviezone/web/HomeController.java
===================================================================
--- src/main/java/com/example/moviezone/web/HomeController.java	(revision 58675202baf48180a61747ec4b98b5c814a21466)
+++ src/main/java/com/example/moviezone/web/HomeController.java	(revision 0ba5d1a4ceb01672e94ae0277434a8d6e569b33f)
@@ -6,5 +6,4 @@
 
 import com.example.moviezone.model.manytomany.ProjectionIsPlayedInRoom;
-import com.example.moviezone.repository.ProjectionIsPlayedInRoomRepository;
 
 import com.example.moviezone.model.procedures.FilmsReturnTable;
@@ -16,5 +15,4 @@
 import org.springframework.web.bind.annotation.*;
 
-import javax.naming.event.EventDirContext;
 import javax.servlet.http.HttpSession;
 import javax.transaction.Transactional;
@@ -39,7 +37,7 @@
 private final CinemaPlaysFilmService cinemaPlaysFilmService;
 private final ProjectionIsPlayedInRoomService projectionIsPlayedInRoomService;
-
-
-    public HomeController(FilmService filmService, UserService userService, ProjectionService projectionService, EventService eventService, TicketService ticketService, WorkerService workerService, CustomerRatesFilmService customerRatesFilmService, CinemaService cinemaService, CinemaOrganizesEventService cinemaOrganizesEventService, CinemaPlaysFilmService cinemaPlaysFilmService, ProjectionIsPlayedInRoomService projectionIsPlayedInRoomService)
+private final CategoryService categoryService;
+
+    public HomeController(FilmService filmService, UserService userService, ProjectionService projectionService, EventService eventService, TicketService ticketService, WorkerService workerService, CustomerRatesFilmService customerRatesFilmService, CinemaService cinemaService, CinemaOrganizesEventService cinemaOrganizesEventService, CinemaPlaysFilmService cinemaPlaysFilmService, ProjectionIsPlayedInRoomService projectionIsPlayedInRoomService, CategoryService categoryService)
     {
 
@@ -55,4 +53,5 @@
         this.cinemaPlaysFilmService = cinemaPlaysFilmService;
         this.projectionIsPlayedInRoomService = projectionIsPlayedInRoomService;
+        this.categoryService = categoryService;
     }
 
@@ -94,4 +93,5 @@
         model.addAttribute("film",film);
         model.addAttribute("projections",projectionService.getProjectionsForFilms(id.intValue()));
+        model.addAttribute("categories",categoryService.findAllCategories());
         model.addAttribute("bodyContent", "projectionsForFilm");
 
